using System.Text.Json.Serialization;

namespace SCOGateway.POSGk
{
    /// <summary>
    /// Registro para solicitar autenticación a cliente Smart POS GK.
    /// </summary>
    record AutenticationReq
    {
        [JsonPropertyName("loginName")] public string LoginName { get; set; } = "";
        [JsonPropertyName("password")] public string Password { get; set; } = "";
        [JsonPropertyName("businessUnitId")] public string BusinessUnitId { get; set; } = "";
        [JsonPropertyName("passwordRequired")] public bool PasswordRequired { get; set; } = true;
    }
}